# Webform widget handler

Allows for handlers to alter the widget editors see
when a webform is embedded into an entity with a field.

For example instead of presenting a YAML field to provide
default data for the webform you can replace that YAML
with a select field that has webform variants as options
so the editor can see a summary of what the variant does.

## Setup

First you need to write a custom handler for the webform
that implements a `formElementFieldWidget` method and
add that handler to a webform. There is an example handler
in the example module provided that enables the editor to
choose between two variants.

Add a webform field to you entity and configure the field
widget that this module provides: "Select list with handler control".
It is recommended to uncheck "Enable default submission data (YAML)"
hiding the textarea to write YAML.

When the form for that entity is displayed the custom handler
will be called to alter the widget.

## Example module

The example module shipped along with the main module
showcases how to use with a contact webform similar to
the one from the webform module adding two variants that
remove the name or the subject of the form when they are active.

The variants can be activated from the widget that embeds the form.
Note that the webform field is not created with the example module,
just the webform so you need to add it manually and configure
the form display mode.
